Home > Dpkg Error > Dpkg Error Processing Zabbix-frontend-php -remove

Dpkg Error Processing Zabbix-frontend-php -remove

Any idea how to work around this problem? See the installation fail: Setting up zabbix-frontend-php (1:1.8.1-1ubuntu1) ... Contact ***@lists.debian.org Serge 2012-01-03 05:50:01 UTC PermalinkRaw Message Doesn't fixed:===============Setting up zabbix-frontend-php (1:1.8.9-1) ...dbconfig-common: writing config to /etc/dbconfig-common/zabbix-frontend-php.confdbconfig-common: flushing administrative passwordinvoke-rc.d: unknown initscript, /etc/init.d/apache2 not found.dpkg: error processing zabbix-frontend-php (--configure):subprocess installed Tags: monitoring release Zabbix 4 Responses to "Zabbix 2.0.6" Chris Hi, just tried to install zabbix-frontend-php on wheezy and got the following errors: dpkg: error processing libxcb1:amd64 (-configure): package libxcb1:amd64 1.8.1-2+deb7u1 check over here

Reported by: Andreas Beckmann Date: Thu, 2 Aug 2012 14:33:02 UTC Severity: serious Found in version zabbix/1:2.0.1+dfsg-1 Fixed in version zabbix/1:2.0.2+dfsg-1 Done: Dmitry Smirnov Bug is archived. This information was last pulled on 2016-03-02. Affecting: dbconfig-common (Ubuntu Lucid) Filed here by: Dave Walker When: 2011-06-22 Completed: 2015-06-17 Package (Find…) Status Importance Won't Fix Medium Assigned to Nobody Me Comment on this change (optional) Email me Debian bug tracking system administrator .

Last modified: Sun Oct 9 13:08:43 2016; Machine Name: beach Debian Bug tracking system Copyright (C) 1999 Darren O. Full log View this message in rfc822 format X-Loop: [email protected] Subject: Bug#647458: closed by Christoph Haas (Fixed by previous upload) Reply-To: Serge , [email protected] Resent-From: Serge Resent-To: [email protected] Resent-CC: Acknowledgement sent to Andreas Beckmann : New Bug report received and forwarded.

Edit bug mail Other bug subscribers Subscribe someone else Patches dbconfig-common_1.8.44ubuntu1.1.debdiff (edit) Add patch Remote bug watches debbugs #542381 [done serious patch] Edit Bug watches keep track of this bug in Installation of the package > fails: > > ========= > invoke-rc.d: unknown initscript, /etc/init.d/apache2 not found. > dpkg: error processing zabbix-frontend-php (--configure): >  subprocess installed post-installation script returned error exit status amithkanand commented Sep 22, 2016 Cluster build completed successfully after the fix. Relinking to that one.

Tom Ellis (tellis) wrote on 2011-06-28: #9 @Daviey - I also had a customer confirm the fix with a test package built using that debdiff Dave Walker (davewalker) wrote on 2011-07-05: Try 'apt-get -f install' with no packages (or specify a solution). Preseed the zabbix-frontend-php & zabbix-server-mysql packages 4. Install Ubuntu 10.04 LTS 2.

spammytokens: hammytokens:0.000-+--UD:init.d, 0.000-+--initd, 0.000-+--init.d, 0.000-+--UD:mozdev.org, 0.000-+--sk:enigmai Received: from mail-iy0-f180.google.com ([209.85.210.180]) by busoni.debian.org with esmtps (TLS1.0:RSA_ARCFOUR_MD5:16) (Exim 4.72) (envelope-from ) id 1Rhx6o-0003pi-8U for [email protected]; Tue, 03 Jan 2012 05:40:26 +0000 Received: by dbconfig-common: writing config to /etc/dbconfig-common/zabbix-frontend-php.conf dbconfig-common: flushing administrative password invoke-rc.d: unknown initscript, /etc/init.d/apache2 not found. See original description Add tags Tag help Related branches lp:ubuntu/lucid-proposed/dbconfig-common Tom Ellis (tellis) wrote on 2011-06-22: #1 I am preseeding the following using debconf-set-selections before installing the packages: mysql-server-5.1 mysql-server/root_password_again password The...

Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson. https://www.mail-archive.com/[email protected]/msg1052794.html Purging configuration files for zabbix-agent ... /var/lib/dpkg/info/zabbix-agent.postrm: 11: /var/lib/dpkg/info/zabbix-agent.postrm: ucf: not found dpkg: error processing zabbix-agent (--purge): subprocess installed post-removal script returned error exit status 127 Errors were encountered while processing: Reading state information... ... ... ... ... amithkanand closed this Sep 22, 2016 Sign up for free to join this conversation on GitHub.

Tom Ellis (tellis) wrote on 2011-06-27: #8 dbconfig-common_1.8.44ubuntu1.1.debdiff Edit (1.5 KiB, text/plain) So, I've retested this and used git bisect to locate the right patch and I'm back on the one check my blog According to policy 7.2 you cannot rely on the depends being available during purge, only the essential packages are available for sure. The patch has been cherry picked from a later version, and has been out in the wild for a while. ldconfig deferred processing now taking place Errors were encountered while processing: zabbix-frontend-php E: Sub-process /usr/bin/dpkg returned an error code (1) ## Additional Information The installation uses dbconfig-common (dbconfig-common_1.8.44 in Lucid) which

The packages are now available for Debian 6.0 "Squeeze" on both amd64 and i386 architectures. I'll work out which patch fixed it and perhaps we can get it into an update for Lucid. Changed in dbconfig-common (Ubuntu Lucid): status: Confirmed → In Progress Martin Pitt (pitti) wrote on 2011-07-08: Please test proposed package #12 Hello Tom, or anyone else affected, Accepted dbconfig-common into lucid-proposed, http://thewebparrots.com/dpkg-error/dpkg-error-processing-vsftpd-remove.php Install the zabbix packages via puppet or 'sudo DEBIAN_FRONTEND=noninteractive apt-get install zabbix-server-mysql zabbix-frontend-php' 5.

Changed in dbconfig-common (Ubuntu): status: New → Fix Released status: Fix Released → New status: New → Fix Released Changed in dbconfig-common (Ubuntu Lucid): status: New → Confirmed importance: Undecided → Tom Ellis (tellis) wrote on 2011-06-23: #6 I pulled the patch from the upstream bug: http://anonscm.debian.org/gitweb/?p=dbconfig-common/dbconfig-common.git;a=commitdiff_plain;h=3a94f160d74f03296652fccdb8ea12beecd525fa I've created a debdiff and tested it and this resolves the problem for me. @Daviey: I'm certain this fixes the issue now, retested multiple times in a clean environment.

Thank you in advance!

[email protected]:/tmp# Activity Ascending order - Click to sort in descending order All Comments History Activity Hide Permalink mohamd soffian bin md saad added a comment - 2016 Apr 24 09:05 ok Installation of the package=========invoke-rc.d: unknown initscript, /etc/init.d/apache2 not found. subprocess installed post-installation script returned error exit status 100 zabbix-frontend-php=========I created empty (exit 0) script /etc/init.d/apache2, it helped to complete the installation.Debian Release: wheezy/sid APT I've added the Debian bug, and marked this Fix Released, and opened a task for Lucid. Debian distribution maintenance software pp.

chgrp: cannot access `/etc/zabbix': No such file or directory dpkg: error processing zabbix-frontend-php (--configure): subprocess installed post-installation script returned error exit status 1 Errors were encountered while processing: zabbix-frontend-php (if that The Apache error log may have more information. ...fail! Skip to site navigation (Press enter) Bug#684014: zabbix-frontend-php, zabbix-agent: fails to purge - command ucf in postrm not found Andreas Beckmann Mon, 06 Aug 2012 03:06:20 -0700 Package: zabbix-frontend-php,zabbix-agent Version: 1:2.0.2+dfsg-1 http://thewebparrots.com/dpkg-error/dpkg-error-processing-fontconfig-remove.php Toggle useless messagesView this report as an mbox folder, status mbox, maintainer mbox Report forwarded to [email protected], Christoph Haas : Bug#683651; Package zabbix-frontend-php. (Thu, 02 Aug 2012 14:33:05 GMT) Full text

Right? Installation of the packagefails:=========invoke-rc.d: unknown initscript, /etc/init.d/apache2 not found.dpkg: error processing zabbix-frontend-php (--configure):subprocess installed post-installation script returned error exit status 100Errors were encountered while processing:zabbix-frontend-php=========I created empty (exit 0) script /etc/init.d/apache2, Trouble? Dave Walker (davewalker) wrote on 2011-06-22: #4 @Tom, thanks for your detailed report and looking into it.

Package php5-pgsql is not installed. Affecting: dbconfig-common (Debian) Filed here by: Dave Walker When: 2011-06-22 Target Distribution Baltix BOSS Juju Charms Collection Debian Elbuntu Guadalinex Guadalinex Edu Kiwi Linux nUbuntu PLD Linux Tilix tuXlab Ubuntu Ubuntu Zabbix 2.0.6 has been released today, bringing new translation, better performance at low-level discovery and bug fixes (take a look at the Zabbix 2.0.6 release notes for more info). Debian Bug tracker #542381 URL: The information about this bug in Launchpad is automatically pulled daily from the remote bug.

We recommend upgrading to the latest Safari, Google Chrome, or Firefox. If you have further comments please address them to [email protected], and the maintainer will reopen the bug report if appropriate. ldconfig deferred processing now taking place STDERR: Syntax error on line 25 of /etc/apache2/sites-enabled/graphite-web: Invalid command '